#define DECLARE_EXTERN_SYMBOLS(name) \
extern char _binary_##name##_start;\
extern char _binary_##name##_size;\
extern char _binary_##name##_end;

#define FILE_DATA_PTR(type, name) ((type*)&_binary_##name##_start)
#define FILE_DATA_SIZE(name) ((uint16)&_binary_##name##_size)
#define FILE_DATA_END(type, name) ((type*)&_binary_##name##_end)

DECLARE_EXTERN_SYMBOLS(___Images_Title_raw);
DECLARE_EXTERN_SYMBOLS(___Images_TitPal);

DECLARE_EXTERN_SYMBOLS(___Images_MathPal);
DECLARE_EXTERN_SYMBOLS(___Images_MathIdle_raw);
DECLARE_EXTERN_SYMBOLS(___Images_MathCrouch_raw);
DECLARE_EXTERN_SYMBOLS(___Images_MathRun_raw);
DECLARE_EXTERN_SYMBOLS(___Images_MathAttack_raw);
DECLARE_EXTERN_SYMBOLS(___Images_MathJump_raw);

DECLARE_EXTERN_SYMBOLS(___Images_SPallet);
DECLARE_EXTERN_SYMBOLS(___Images_Strider_raw);

DECLARE_EXTERN_SYMBOLS(___Images_NewGame_raw);
DECLARE_EXTERN_SYMBOLS(___Images_Continue_raw);
